package it.sw.pa.comune.artegna.service.mapper;

import static it.sw.pa.comune.artegna.domain.ModelloLiberatoriaAsserts.*;
import static it.sw.pa.comune.artegna.domain.ModelloLiberatoriaTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class ModelloLiberatoriaMapperTest {

    private ModelloLiberatoriaMapper modelloLiberatoriaMapper;

    @BeforeEach
    void setUp() {
        modelloLiberatoriaMapper = new ModelloLiberatoriaMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getModelloLiberatoriaSample1();
        var actual = modelloLiberatoriaMapper.toEntity(modelloLiberatoriaMapper.toDto(expected));
        assertModelloLiberatoriaAllPropertiesEquals(expected, actual);
    }
}
